# Contributing to MSPlanner Tools

Thank you for considering contributing to MSPlanner Tools! We welcome contributions from the community to help improve and expand the functionality of this library.

## How to Contribute

### Reporting Issues

If you encounter any bugs or have suggestions for improvements, please open an issue on the [GitHub repository](https://github.com/MigueldsBatista/msplanner-tools/issues). Provide as much detail as possible to help us understand and address the issue.

### Submitting Pull Requests

1. **Fork the Repository**: Click the "Fork" button on the top right corner of the repository page to create a copy of the repository in your GitHub account.

2. **Clone the Repository**: Clone your forked repository to your local machine.
    ```sh
    git clone https://github.com/MigueldsBatista/msplanner-tools
    cd msplanner-tools
    ```

3. **Create a Branch**: Create a new branch for your feature or bug fix.
    ```sh
    git checkout -b feature-or-bugfix-name
    ```

4. **Make Changes**: Implement your changes in the new branch. Ensure your code follows the project's coding standards and includes appropriate tests.

5. **Commit Changes**: Commit your changes with a descriptive commit message.
    ```sh
    git add .
    git commit -m "Description of the changes"
    ```

6. **Push Changes**: Push your changes to your forked repository.
    ```sh
    git push origin feature-or-bugfix-name
    ```

7. **Create a Pull Request**: Go to the original repository and create a pull request from your forked repository. Provide a detailed description of your changes and the problem they solve.

### Code Style

Please follow the existing code style and conventions used in the project. Ensure your code is well-documented and includes docstrings for functions and classes.
